EDIT - bug #6545

[MASTER] Eclipse 4 bugs
03/29/2017 04:12 PM - Patrick Plitzner

Status: Closed Start date:
Priority: Priority13 Due date:
Assignee: Patrick Plitzner % Done: 94%
Category: taxeditor Estimated time: 0:00 hour
Target version:
Severity: normal Found in Version:
Description
Master ticket for bugs that occured after the switch to Eclipse 4
Most bugs should be fixed by removing the usage of internal packages.
Online resources:
e hitps://jaxenter.com/eclipse-migration-tutorial-124527.html
e http://www.vogella.com/tutorials/Eclipse4MigrationGuide/article.html
¢ https://www.eclipse.org/eclipse/development/porting/eclipse_4_2_porting_guide.php
Subtasks:
bug # 6551: Invalid parts Worksforme
bug # 6556: After restart of the editor the previous views show errors Rejected
bug # 6582: status bar not completely visible Closed
bug # 6583: perspective separator not movable Rejected
bug # 6620: [MASTER] Critical Eclipse 4 bugs Closed
bug # 6549: ClassCastException when adding a new synonym in name editor Closed
bug # 6550: ArraylndexOutOfBoundsException when opening a taxon with double click from ... Closed
bug # 6552: Remove "Run" menu from editor Closed
bug # 6553: eclipse 4 problem while creating controls for name editor Closed
bug # 6555: open specimen search wizard does not work Rejected
bug # 6558: Some menu items are missing Closed
bug # 6579: user and usergroup menu item is missing Closed
bug # 6584: Remove annotation and Editor navigation from perspectives/toolbar Closed
bug # 6586: Duplicate menu items in name editor context menu Closed
bug # 6587: Wrong order of "Window" menu Closed
bug # 6639: Context menu of Specimen Editor is missing entries Closed
bug # 6751: After shutdown error message in log file Worksforme
bug # 6781: Automatic update does not work anymore for TaxEditor Closed
bug # 6783: Menu item for editing right is missing Closed
bug # 7003: endless loop with lllegalArgumentException when no active conversation is f... Worksforme
bug # 7024: Preference pages are shown in editor parts Rejected
bug # 7030: Opening referenced object of type designation throws NPE Closed
bug # 7031: Open in referencing objects view must not show "Open in referencing Objects" Closed
bug # 7038: PK Graph view issues New
bug # 7064: NameEditor remaining issues Closed
bug # 7117: Some bugs in Misapplied Name View after e4 migration Closed
bug # 7230: Refresh in name editor does not work if using "reuse taxon" in Misapplied N... Closed
bug # 7243: sometimes the context menu in name editor does not work anymore Duplicate
bug # 7290: Creating the first node in a new polytomous key throws NPE Closed
Related issues:
Related to EDIT - feature request #6565: [MASTER] Eclipse 4 Migration Closed
Related to EDIT - feature request #7431: [MASTER] remaining E4 migration issues New
Related to EDIT - bug #6954: Sometimes the context menu of e4 parts does not ...

New

History

#1 - 04/03/2017 12:35 PM - Patrick Plitzner

- Tags set to eclipse4

#2 - 04/03/2017 02:39 PM - Patrick Plitzner
- Description updated

#3 - 04/11/2017 03:24 PM - Patrick Plitzner
- Related to feature request #6565: [MASTER] Eclipse 4 Migration added

#4 - 05/11/2017 10:16 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#5 - 07/06/2017 10:26 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#6 - 07/21/2017 10:26 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#7 - 09/24/2017 01:13 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#8 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#9 - 12/05/2017 02:16 PM - Andreas Miller

- Target version changed from Release 4.12 to Release 4.13

#10 - 01/31/2018 12:29 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#11 - 02/15/2018 03:26 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#12 - 05/16/2018 11:18 AM - Patrick Plitzner

- Target version changed from Release 5.0 to Release 5.1

#13 - 05/18/2018 02:29 PM - Andreas Miiller

- Related to feature request #7431: [MASTER] remaining E4 migration issues added

#14 - 06/27/2018 02:19 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#15 - 08/17/2018 03:47 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#16 - 08/22/2018 12:02 PM - Andreas Miiller

- Target version changed from Release 5.3 to Reviewed Next Major Release

#17 - 11/18/2019 02:59 PM - Andreas Miiller

- Related to bug #6954: Sometimes the context menu of e4 parts does not show up added

#18 - 11/18/2019 03:01 PM - Andreas Miiller

- Status changed from New to Closed
#19 - 09/17/2021 05:03 PM - Andreas Miiller

- Target version deleted (Reviewed Next Major Release)
